// Arquivo de exemplo: heranca.cs
// Para compilar utilize: csc heranca.cs
using System;

namespace AlfredoLotar.Livro.Aspnet
{
	class Programa
	{
		static void Main()
		{
			Produtos prod = new Produtos();
			Console.WriteLine(prod + "\n");
			Console.WriteLine(prod.AddCategorias() +"\n");
	
			CadastroProdutos d= new CadastroProdutos();
			Console.WriteLine(d.AddCategorias());
			Console.Read();
		}
	}
    
	class Produtos
	{
		public virtual string AddCategorias() 
		{
			return "Nome: Eletrônicos; CódigoDaCategoria: 5";
		}

		public override string ToString()
		{
			return "Método ToString";
		}
	}

	class CadastroProdutos:Produtos
	{
		public override string AddCategorias() 
		{
			return "Teste classe derivada.";
		}
	}
}
